--- /dev/null
+#!/bin/bash
+#
+# 2010 Razvan Deaconescu, razvan.deaconescu@cs.pub.ro
+#
+# Stop running client
+# The script
+# * stops a client
+# * stop schedule_client.sh script
+#
+# Command line argument specifies client type
+
+# use _DEBUG="off" to turn off debug printing
+_DEBUG="on"
+
+if test $# -ne 1; then
+ echo "usage: $0 client-type" 1>&2
+ exit 1
+fi
+
+# Read the global configuration variables
+source ../ConfigFiles/globalconfig.txt
+
+# Read client mappings configuration file
+source ../ConfigFiles/client_script_mappings
+
+client_type=$1
+
+stop_client ${client_type}
+
+killall ${SCHEDULE_CLIENT_SCRIPT}